#
# spec file for package phantomjs
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define name	phantomjs
%define version	1.9.1
%define release 1

Summary:        A headless WebKit with JavaScript API
Url:            http://phantomjs.org/
License:        BSD-3-Clause
Group:          Utilities/Misc
Name:           %{name}
Version:        %{version}
Release:        1.3%{?dist}
Source:         %{name}-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  qt-devel
BuildRequires:  openssl-devel
%if 0%{?suse_version}
BuildRequires:  libQtWebKit-devel
%else
BuildRequires:  qtwebkit-devel
%endif
BuildRequires:  chrpath
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PhantomJS is a headless WebKit with JavaScript API. It has fast and native
support for various web standards: DOM handling, CSS selector, JSON,
Canvas, and SVG. PhantomJS is created by Ariya Hidayat.

%prep
%setup -q

%build
./build.sh --confirm

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
chrpath -d bin/%{name}
cp bin/%{name} %{buildroot}%{_bindir}/%{name}
cp examples/* %{buildroot}%{_datadir}/%{name}/examples/
cp CONTRIBUTING.md %{buildroot}%{_datadir}/%{name}/
cp ChangeLog %{buildroot}%{_datadir}/%{name}/
cp LICENSE.BSD %{buildroot}%{_datadir}/%{name}/
cp README.md %{buildroot}%{_datadir}/%{name}/

%files
%defattr(0444,root,root,0755)
%attr(0555,root,root)%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/examples
%{_datadir}/%{name}/ChangeLog
%{_datadir}/%{name}/CONTRIBUTING.md
%{_datadir}/%{name}/examples/arguments.coffee
%{_datadir}/%{name}/examples/arguments.js
%{_datadir}/%{name}/examples/child_process-examples.coffee
%{_datadir}/%{name}/examples/child_process-examples.js
%{_datadir}/%{name}/examples/colorwheel.coffee
%{_datadir}/%{name}/examples/colorwheel.js
%{_datadir}/%{name}/examples/countdown.coffee
%{_datadir}/%{name}/examples/countdown.js
%{_datadir}/%{name}/examples/detectsniff.coffee
%{_datadir}/%{name}/examples/detectsniff.js
%{_datadir}/%{name}/examples/direction.coffee
%{_datadir}/%{name}/examples/direction.js
%{_datadir}/%{name}/examples/echoToFile.coffee
%{_datadir}/%{name}/examples/echoToFile.js
%{_datadir}/%{name}/examples/features.coffee
%{_datadir}/%{name}/examples/features.js
%{_datadir}/%{name}/examples/fibo.coffee
%{_datadir}/%{name}/examples/fibo.js
%{_datadir}/%{name}/examples/follow.coffee
%{_datadir}/%{name}/examples/follow.js
%{_datadir}/%{name}/examples/hello.coffee
%{_datadir}/%{name}/examples/hello.js
%{_datadir}/%{name}/examples/imagebin.coffee
%{_datadir}/%{name}/examples/imagebin.js
%{_datadir}/%{name}/examples/injectme.coffee
%{_datadir}/%{name}/examples/injectme.js
%{_datadir}/%{name}/examples/ipgeocode.coffee
%{_datadir}/%{name}/examples/ipgeocode.js
%{_datadir}/%{name}/examples/loadspeed.coffee
%{_datadir}/%{name}/examples/loadspeed.js
%{_datadir}/%{name}/examples/loadurlwithoutcss.coffee
%{_datadir}/%{name}/examples/loadurlwithoutcss.js
%{_datadir}/%{name}/examples/modernizr.js
%{_datadir}/%{name}/examples/module.coffee
%{_datadir}/%{name}/examples/module.js
%{_datadir}/%{name}/examples/movies.coffee
%{_datadir}/%{name}/examples/movies.js
%{_datadir}/%{name}/examples/netlog.coffee
%{_datadir}/%{name}/examples/netlog.js
%{_datadir}/%{name}/examples/netsniff.coffee
%{_datadir}/%{name}/examples/netsniff.js
%{_datadir}/%{name}/examples/outputEncoding.coffee
%{_datadir}/%{name}/examples/outputEncoding.js
%{_datadir}/%{name}/examples/page_events.coffee
%{_datadir}/%{name}/examples/page_events.js
%{_datadir}/%{name}/examples/pagecallback.coffee
%{_datadir}/%{name}/examples/pagecallback.js
%{_datadir}/%{name}/examples/phantomwebintro.coffee
%{_datadir}/%{name}/examples/phantomwebintro.js
%{_datadir}/%{name}/examples/pizza.coffee
%{_datadir}/%{name}/examples/pizza.js
%{_datadir}/%{name}/examples/post.coffee
%{_datadir}/%{name}/examples/post.js
%{_datadir}/%{name}/examples/postserver.coffee
%{_datadir}/%{name}/examples/postserver.js
%{_datadir}/%{name}/examples/printenv.coffee
%{_datadir}/%{name}/examples/printenv.js
%{_datadir}/%{name}/examples/printheaderfooter.coffee
%{_datadir}/%{name}/examples/printheaderfooter.js
%{_datadir}/%{name}/examples/printmargins.coffee
%{_datadir}/%{name}/examples/printmargins.js
%{_datadir}/%{name}/examples/rasterize.coffee
%{_datadir}/%{name}/examples/rasterize.js
%{_datadir}/%{name}/examples/render_multi_url.coffee
%{_datadir}/%{name}/examples/render_multi_url.js
%{_datadir}/%{name}/examples/run-jasmine.coffee
%{_datadir}/%{name}/examples/run-jasmine.js
%{_datadir}/%{name}/examples/run-qunit.coffee
%{_datadir}/%{name}/examples/run-qunit.js
%{_datadir}/%{name}/examples/scandir.coffee
%{_datadir}/%{name}/examples/scandir.js
%{_datadir}/%{name}/examples/seasonfood.coffee
%{_datadir}/%{name}/examples/seasonfood.js
%{_datadir}/%{name}/examples/server.coffee
%{_datadir}/%{name}/examples/server.js
%{_datadir}/%{name}/examples/serverkeepalive.coffee
%{_datadir}/%{name}/examples/serverkeepalive.js
%{_datadir}/%{name}/examples/simpleserver.coffee
%{_datadir}/%{name}/examples/simpleserver.js
%{_datadir}/%{name}/examples/sleepsort.coffee
%{_datadir}/%{name}/examples/sleepsort.js
%{_datadir}/%{name}/examples/stdin-stdout-stderr.coffee
%{_datadir}/%{name}/examples/stdin-stdout-stderr.js
%{_datadir}/%{name}/examples/technews.coffee
%{_datadir}/%{name}/examples/technews.js
%{_datadir}/%{name}/examples/tweets.coffee
%{_datadir}/%{name}/examples/tweets.js
%{_datadir}/%{name}/examples/universe.js
%{_datadir}/%{name}/examples/unrandomize.coffee
%{_datadir}/%{name}/examples/unrandomize.js
%{_datadir}/%{name}/examples/useragent.coffee
%{_datadir}/%{name}/examples/useragent.js
%{_datadir}/%{name}/examples/version.coffee
%{_datadir}/%{name}/examples/version.js
%{_datadir}/%{name}/examples/waitfor.coffee
%{_datadir}/%{name}/examples/waitfor.js
%{_datadir}/%{name}/examples/walk_through_frames.coffee
%{_datadir}/%{name}/examples/walk_through_frames.js
%{_datadir}/%{name}/examples/weather.coffee
%{_datadir}/%{name}/examples/weather.js
%{_datadir}/%{name}/LICENSE.BSD
%{_datadir}/%{name}/README.md

%changelog
* Fri Jul 26 2013 boris@steki.net
- updated to version 1.9.1
* Tue Apr 30 2013 heydenberk@gmail.com
- add missing filenames for examples to files section
* Wed Apr 24 2013 lobbin@gmail.com
- updated to version 1.9
* Thu Jan 24 2013 mbarr@snap-interactive.com
- updated to version 1.8
* Thu Nov 15 2012 jschauma@etsy.com
- first rpm version
